Subject: Re: Globetrotter FLEX/LM
From: [email-masked] (Adrian Lao)

17 Sep 1998 12:38:36 -0700
Message-ID: <[email-masked]>
References: <3.0.3.32.19980915193354.00b829c0@appr>
To: Todd Massey <[email-masked]>
Cc: [email-masked]

Todd> Has anyone successfully linked in the globetrotter flex/lm license manager.
Todd> If so could you e-mail me directly on how to do this.

Yes, I've tried it on NT 4.0.  However, I've linked to the DLL only,
not the static library. Assuming you're using the simple trivial
AP, here's what you need to do: 

	(1) save the the attached file in a file called "flexlm.def"
	(2) run the following (assuming you're in the
            .../flexlm/v6.1/i86_?? directory):

	dlltool --as=as --dllname lmgr326b.dll --def flexlm.def --output-lib liblmgr326b.a

You can now link the liblmgr326b.a library into your application just
like any other .a libraries (but it requires lmgr326b.dll during
runtime). Also, when including lmpolicy.h, make sure you've defined
WINNT and FLEXLM_DLL on NT, I'm not sured whether you need to do this
on Window 95/98. 

Hope this help.

Adrian

--------------------- flexlm.def --------------
EXPORTS
lp
lp_code
lp_checkout
lp_checkin
lp_errstring
lp_warning
lp_perror
lp_pwarn
lp_heartbeat

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".